Bug 1602289 - Unable to provision on Vmware, no storage data submitted
Summary: Unable to provision on Vmware, no storage data submitted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks: 1538597
TreeView+ depends on / blocked
 
Reported: 2018-07-18 07:11 UTC by Sanket Jagtap
Modified: 2019-11-05 23:29 UTC (History)
8 users (show)

Fixed In Version: foreman-1.18.0.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:55:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24320 Normal Closed Unable to provision on Vmware, no storage data submitted 2020-01-22 10:30:49 UTC
Red Hat Bugzilla 1551014 'high' 'CLOSED' 'Failed to update a compute vmware (VMware) instance host.example.domain: undefined method `[]'' for nil:NilClass' 2019-11-25 14:45:51 UTC
Red Hat Bugzilla 1610684 'unspecified' 'CLOSED' 'Unable to provision host from CLI Unknown Network ID' 2019-11-25 14:45:57 UTC

Internal Links: 1551014 1610684

Description Sanket Jagtap 2018-07-18 07:11:58 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Build: Satellite 6.4.0 snap12

How reproducible:
Always

Steps to Reproduce:
1. On Satellite 6.4.0 snap12 
2. Try to Provision a host on Vmware compute resource
3.

Actual results:
Unable to save
Failed to create a compute vmware (VMware) instance trudy-speake.<domain>: undefined method `volumes' for nil:NilClass 

Expected results:
Host should be provisioned

Additional info:
PFA, production log and proxy log
Same error trying with and without compute profile

Looking at the log, Storage parameters are never submitted to the controller

Processing by HostsController#create as */*
2018-07-18T03:05:18 [I|app|05082]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"L9fjRzKRovzbPck3bQ/jq/rKtcWDeBHLOmz+unDGGpH2oJncUSlo/iRcByGE8Pt7H1GRycLH5dwI7Dbul5hLdg==", "host"=>{"name"=>"trudy-speake", "organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"2", "compute_resource_id"=>"3", "compute_profile_id"=>"2", "content_facet_attributes"=>{"lifecycle_environment_id"=>"2", "content_view_id"=>"2", "content_source_id"=>"1", "kickstart_repository_id"=>"18"}, "environment_id"=>"3", "openscap_proxy_id"=>"1", "ansible_role_ids"=>[""], "puppetclass_ids"=>["", "6"], "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"trudy-speake", "domain_id"=>"1", "subnet_id"=>"2", "ip"=>"10.XXXXX", "ip6"=>"", "managed"=>"1", "primary"=>"1", "provision"=>"1", "execution"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>"", "compute_attributes"=>{"type"=>"VirtualVmxnet3", "network"=>"network-148"}}}, "compute_attributes"=>{"cpus"=>"1", "corespersocket"=>"1", "memory_mb"=>"4048", "firmware"=>"bios", "cluster"=>"Satellite_Engineering", "resource_pool"=>"Resources", "path"=>"/Datacenters/RH_Engineering/vm/QE", "guest_id"=>"rhel7_64Guest", "hardware_version"=>"Default", "memoryHotAddEnabled"=>"0", "cpuHotAddEnabled"=>"0", "add_cdrom"=>"0", "start"=>"1", "annotation"=>""}, "architecture_id"=>"1", "operatingsystem_id"=>"2", "provision_method"=>"build", "build"=>"1", "medium_id"=>"", "ptable_id"=>"94", "pxe_loader"=>"PXELinux BIOS", "disk"=>"", "root_pass"=>"[FILTERED]", "host_parameters_attributes"=>{"1531897512910"=>{"name"=>"", "value"=>"[FILTERED]", "hidden_value"=>"[FILTERED]", "_destroy"=>"1"}}, "is_owned_by"=>"4-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "media_selector"=>"synced_content"}

Comment 6 Marek Hulan 2018-07-20 08:05:44 UTC
Created redmine issue https://projects.theforeman.org/issues/24320 from this bug

Comment 8 pm-sat@redhat.com 2018-07-20 12:12:56 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 9 pm-sat@redhat.com 2018-07-20 12:12:58 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 10 pm-sat@redhat.com 2018-07-20 18:12:53 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24320 has been resolved.

Comment 13 Jitendra Yejare 2018-08-07 10:40:38 UTC
I hit similar issue but with Image Based provisioning -

By the way, the error looks different - Failed to create a compute vmware (VMware) instance jyejarevmware.satqe.lab.eng.rdu2.redhat.com: undefined method `first' for nil:NilClass 

QE has to take care of this while verifying this bug by testing image based provisioning.

Comment 16 Sanket Jagtap 2018-08-14 06:48:46 UTC
Build:Satellite 6.4.0 snap17

I was able to successfully provision on Vmware using Image and network based provisioning from Web UI.

Id:                       7
UUID:                     501e02c3-4194-c0ae-6e96-0000000
Name:                     irvin-crippin.domain
Organization:             Default Organization
Location:                 Default Location
Host Group:               RHEL 7 Server 64-bit HG
Compute Resource:         vmware
Puppet Environment:       production
Puppet CA Proxy:          qe-testing-rhel7.domain
Puppet Master Proxy:      qe-testing-rhel7.domain
Cert name:                irvin-crippin.domain
Managed:                  yes
Installed at:             2018/08/14 06:35:14
Last report:              2018/08/14 06:34:59
Network:                  
    IPv4 address: 0.0.0.166
    IPv6 address: 
    MAC:          00:50:56:9e:8b:1c
    Subnet ipv4:  testingsat6_el7
    Domain:       domain
Network interfaces:       
 1) Id:           7
    Identifier:   
    Type:         interface (primary, provision)
    MAC address:  00:50:56:9e:8b:1c
    IPv4 address: 0.0.0.166
    IPv6 address: 
    FQDN:         irvin-crippin.domain
Operating system:         
    Architecture:           x86_64
    Operating System:       RHEL Server 7.5
    Build:                  no
    Partition Table:        Kickstart default
    PXE Loader:             PXELinux BIOS
    Custom partition table: 
      
    Image:                  rhel75base
Parameters:               

All parameters:           
    kt_activation_keys => ak-rhel-7
    enable-puppet5 => true
    enable-epel => false
Additional info:          
    Owner:      Admin User
    Owner Type: User
    Enabled:    yes
    Comment:
OpenSCAP Proxy:           
Content Information:      
    Content View:          
        ID:   2
        Name: RHEL 7 CV
    Lifecycle Environment: 
        ID:   2
        Name: DEV
    Content Source:        
        ID:   1
        Name: qe-testing-rhel7.domain
    Kickstart Repository:  
        ID:   18
        Name: Red Hat Enterprise Linux 7 Server Kickstart x86_64 7.5
    Applicable Packages:   0
    Upgradable Packages:   0
    Applicable Errata:     
        Enhancement: 0
        Bug Fix:     0
        Security:    0
Subscription Information: 
    UUID:                          05613f54-5260-45d3-90ff-00000000
    Last Checkin:                  2018-08-14 06:33:52 UTC
    Service Level:                 
    Release Version:               
    Autoheal:                      true
    Registered To:                 qe-testing-rhel7.domain
    Registered At:                 2018-08-14 06:33:49 UTC
    Registered by Activation Keys: 
     1) ak-rhel-7
Host Collections:


CLI still has a bz open https://bugzilla.redhat.com/show_bug.cgi?id=1610684

Comment 17 Bryan Kearney 2018-10-16 18:55:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.